MODEL:
    PIXEL_MEAN: [123.675, 116.280, 103.530]
    PIXEL_STD: [58.395, 57.120, 57.375]
    META_ARCHITECTURE: "YOSO"
DATASETS:
    TRAIN: ("cityscapes_fine_panoptic_train",)
    TEST: ("cityscapes_fine_panoptic_val",)
SOLVER:
    IMS_PER_BATCH: 16
    BASE_LR: 0.0001
    MAX_ITER: 180000  # 90000
    WARMUP_FACTOR: 1.0
    WARMUP_ITERS: 0
    WEIGHT_DECAY: 0.05
    OPTIMIZER: "ADAMW"
    LR_SCHEDULER_NAME: "WarmupPolyLR"
    BACKBONE_MULTIPLIER: 0.1
    CLIP_GRADIENTS:
        ENABLED: true
        CLIP_TYPE: "full_model"
        CLIP_VALUE: 0.01
        NORM_TYPE: 2.0
    AMP:
        ENABLED: false
INPUT:
    MIN_SIZE_TRAIN: !!python/object/apply:eval ["[int(x * 0.1 * 1024) for x in range(5, 21)]"]
    MIN_SIZE_TRAIN_SAMPLING: "choice"
    MAX_SIZE_TRAIN: 4096
    MIN_SIZE_TEST: 512  # 1024
    MAX_SIZE_TEST: 1024  # 2048
    CROP:
        ENABLED: true
        TYPE: "absolute"
        SIZE: (512, 1024)
        SINGLE_CATEGORY_MAX_AREA: 1.0
    COLOR_AUG_SSD: true
    SIZE_DIVISIBILITY: -1
    FORMAT: "RGB"
    DATASET_MAPPER_NAME: "yoso_panoptic"
TEST:
    EVAL_PERIOD: 5000
    AUG:
        ENABLED: false
        MIN_SIZES: [512, 768, 1024, 1280, 1536, 1792]
        MAX_SIZE: 4096
        FLIP: true
DATALOADER:
    FILTER_EMPTY_ANNOTATIONS: true
    NUM_WORKERS: 4
VERSION: 2
CUDNN_BENCHMARK: true
